gnutls_compression_list(3)

NAME
gnutls_compression_list - Get a list of supported compression methods

SYNOPSIS
#include <gnutls/gnutls.h>

const gnutls_compression_method_t * gnutls_compression_list( void);

ARGUMENTS

void

DESCRIPTION
Get a list of compression methods. Note that to be able to use LZO compression, you must link to libgnutls-extra and call gnutls_global_init_extra().

RETURNS
a zero-terminated list of gnutls_compression_method_t integers indicating the available compression methods.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.